org.eclipse.emf.cdo.common.security

## Interface CDOPermissionProvider

- All Known Subinterfaces:
    InternalSession
  All Known Implementing Classes:
    CDOPermissionProvider.Constant

      public interface CDOPermissionProvider

  Provides the protection level of protectable objects.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDOPermissionProvider.Constant` Provides a constant protection level for all `revisions`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOPermissionProvider` | `NONE`
    `static CDOPermissionProvider` | `READ`
    `static CDOPermissionProvider` | `WRITE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOPermission` | `getPermission(CDORevision revision, CDOBranchPoint securityContext)`

- - ### Field Detail

    - #### NONE

          static final CDOPermissionProvider NONE

    - #### READ

          static final CDOPermissionProvider READ

    - #### WRITE

          static final CDOPermissionProvider WRITE

  - ### Method Detail

    - #### getPermission

          CDOPermission getPermission(CDORevision revision,
                                      CDOBranchPoint securityContext)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html